function index = strcmporregexp(list,string)
% strcmporregexp  Match string by plain comparison or by regexp engine.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

if isempty(regexp(string,'[^\w]','once'))
    index = strcmp(list,string);
else
    temp = regexp(list,string,'once');
    index = ~cellfun(@isempty,temp);
end

end